
Figure - Bug #116708
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT2】【设置】连接实体键盘后，部分键盘快捷键不生效
2023-03-03 16:16 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-03-03

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303030144

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-03-06

Test Type: ST Root cause: 快捷操作表现正常，布局切换需要先设置多个布局才能进行切换。

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、系统——语言与输入法——实体键盘——键盘快捷键

2、尝试使用所有键盘快捷键

【预期结果】

2、键盘快捷键生效

【实际结果】

2、切换键盘布局、浏览器、音乐三个快捷键不生效

【备注】

切换键盘布局的快捷键是win + “+” +空格

【复现率】

3/3

History

#1 - 2023-03-06 11:18 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#2 - 2023-03-06 18:18 - CD FW-廖涛

- % Done changed from 0 to 60

- Root cause set to 快捷操作表现正常，布局切换需要先设置多个布局才能进行切换。

■ Current conclusion

已对物理键盘设置页面进行处理，待提交代码。

■ My analysis

经测试，快捷操作表现正常，布局切换需要先设置多个布局才能进行切换。
但是由于 Settings 改两栏后未对物理键盘相关设置页面进行适配（遗漏），所以在进行物理键盘布局设置时，会出现异常情况。所以对相关页面进行适配

。

■ Next action

提交代码，发起 Review。

#3 - 2023-03-06 19:06 - CDTS_Test 吴诗雨

经分析发现是未设置键盘分布导致键盘分布快捷键无法起效，添加键盘分布后正常起效。

由此发现键盘设置页无法正常返回

#4 - 2023-03-06 19:32 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

185956 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix physical keyboard settings page problem.TC-RID: 1201-0201809IssueID: TS-R-BUG-116708Change-Id:

I244a6a363254a815331f14cd9ab6a47a86486d2b

#5 - 2023-03-06 19:32 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CDTS_Test 吴诗雨

- % Done changed from 60 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-06

■ Current conclusion

已处理，代码已入库。

■ My analysis

--

■ Next action

测试验证。

#6 - 2023-03-07 14:22 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

【验证版本】FlatBuild_HH_MCE_FSE.M.R.user.01.00.0080.C101

【验证情况】设置键盘分布后可以正常的切换，键盘设置页面可以正常的返回，pass

#7 - 2023-03-07 14:23 - CDTS_Test 吴诗雨
- Status changed from VERIFIED to CLOSED

Files

20230303-155834.jpeg 70 KB 2023-03-03 CDTS_Test 吴诗雨

2025-07-04 3/3


